﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace AppSkakunov.PagesApp
{
    /// <summary>
    /// Логика взаимодействия для Authorization.xaml
    /// </summary>
    public partial class Authorization : Page
    {
        public TradeSKakunovEntities DB = new TradeSKakunovEntities();
        bool CapaFlag = false;
        System.Windows.Threading.DispatcherTimer timer = new System.Windows.Threading.DispatcherTimer();
        public Authorization()
        {
            InitializeComponent();
        }

        private void AuthApp(object sender, RoutedEventArgs e)
        {
            if (Login.Text != null && Login.Text != "" && Pass.Text != null && Pass.Text != "")
            {
                User user = DB.User.Where(x => x.UserLogin == Login.Text && x.UserPassword == Pass.Text).FirstOrDefault();
                if (user != null && CapaFlag == false)
                {
                    MainFrame.mFrame.Navigate(new PageUserGuestApp(user.UserID));
                }
                else if (user != null && CapaFlag == true)
                {
                    if (Captch.Text.ToUpper() == "wed".ToUpper())
                    {
                        MainFrame.mFrame.Navigate(new PageUserGuestApp(user.UserID));
                    }
                    else
                    {
                        MessageBox.Show("Капча введена неправильно");
                        AuthBut.IsEnabled = false;
                        GostBut.IsEnabled = false;
                        timer.Tick += new EventHandler(timerTick);
                        timer.Interval = new TimeSpan(0, 0, 10);
                        timer.Start();

                    }
                }
                else if (user == null && CapaFlag == true)
                {
                    MessageBox.Show("Данные не найдены или введены неправильно");
                    AuthBut.IsEnabled = false;
                    GostBut.IsEnabled = false;
                    timer.Tick += new EventHandler(timerTick);
                    timer.Interval = new TimeSpan(0, 0, 10);
                    timer.Start();
                }
                else
                {
                    MessageBox.Show("Данные не найдены или введены не правильно");
                    Capa.Visibility = Visibility.Visible;
                    CapaFlag = true;
                }
            }
            else
            {
                MessageBox.Show("Вы не заполнили одно из полей");
            }
        }

        private void GostApp(object sender, RoutedEventArgs e)
        {
            MainFrame.mFrame.Navigate(new PageUserGuestApp());
        }

        private void timerTick(object sender, EventArgs e)
        {
            AuthBut.IsEnabled = true;
            GostBut.IsEnabled = true;
        }
    }
}
